Package twisted :: Package enterprise :: Module dbcred :: Class PerspectiveRow

[show private | hide private]
[frames | no frames]

## Class PerspectiveRow

    RowObject --+
                |
               PerspectiveRow

Method Summary
| `__repr__(self)`
| ``__setattr__`(self, name, value)` Special setattr to prevent changing of key values. (inherited from `RowObject`)
| ``assignKeyAttr`(self, attrName, value)` Assign to a key attribute. (inherited from `RowObject`)
| ``createDefaultAttributes`(self)` Populate instance with default attributes. (inherited from `RowObject`)
| ``findAttribute`(self, attrName)` Find an attribute by caseless name. (inherited from `RowObject`)
| `getKeyTuple(self)` (inherited from `RowObject`)
| ``setDirty`(self, flag)` Use this to set the 'dirty' flag. (inherited from `RowObject`)

Class Variable Summary
`list` | `rowColumns`
`list` | `rowForeignKeys`
`list` | `rowKeyColumns`
`string` | `rowTableName`

Class Variable Details

### rowColumns

  Type:
    `list`
  Value:

        [('identity_name', 'varchar'),
         ('perspective_name', 'varchar'),
         ('service_name', 'varchar'),
         ('perspective_type', 'varchar')]

### rowForeignKeys

  Type:
    `list`
  Value:

        [('twisted_identities',
          [('identity_name', 'varchar')],
          [('identity_name', 'varchar')],
          None,
          1)]

### rowKeyColumns

  Type:
    `list`
  Value:

        [('identity_name', 'varchar'),
         ('perspective_name', 'varchar'),
         ('service_name', 'varchar')]

### rowTableName

  Type:
    `string`
  Value:

        'twisted_perspectives'

Generated by Epydoc 1.1 on Sat Feb 15 21:19:00 2003 | http://epydoc.sf.net